org.hibernate.search.query

## Enum DatabaseRetrievalMethod

- java.lang.Object
- - java.lang.Enum<DatabaseRetrievalMethod>
  - - org.hibernate.search.query.DatabaseRetrievalMethod

- All Implemented Interfaces:
    Serializable, Comparable<DatabaseRetrievalMethod>

      public enum DatabaseRetrievalMethod
      extends Enum<DatabaseRetrievalMethod>

  Defines the method used to initialize an object
  Author:
    Emmanuel Bernard

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIND_BY_ID` Load each object by its identifier one by one.
    `QUERY` Use a criteria query to load the objects.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DatabaseRetrievalMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DatabaseRetrievalMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUERY

          public static final DatabaseRetrievalMethod QUERY

      Use a criteria query to load the objects. This is done in batch to minimize the number of queries Default approach

    - #### FIND_BY_ID

          public static final DatabaseRetrievalMethod FIND_BY_ID

      Load each object by its identifier one by one. Useful if a batch size is set in the entity's mapping

  - ### Method Detail

    - #### values

          public static DatabaseRetrievalMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DatabaseRetrievalMethod c : DatabaseRetrievalMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DatabaseRetrievalMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved